/* =====================================================================================================
// Project      : CoinMachine platform
// Context      : blockchain/cryptocurrency education and consulting, IT developement
// File         : disclaimer.css
// Role         : disclaimer.php special CSS stylesheet
// Author       : CoinMachine
// Creation     : 2023-06-15
// Last update  : 2021-06-15
// ===================================================================================================== */
/* *** *** *** DISCLAIMER *** *** *** */
:root {
    --colour1: #f1c40f;
    --colour2: #2c3e50;
    --speed: 4s;
  }
.disclaimer-warning {
    margin: 10px auto;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.warning-bar {
    width: 90%;
    min-height: 40px;
    max-height: 60px;
    border-radius: 10px;
    box-shadow: 0px 10px 13px -6px rgba(44, 62, 80, 1);
    background-color: var(--colour2);
    background-image: repeating-linear-gradient(
        45deg,
        transparent,
        transparent 40px,
        var(--colour1) 40px,
        var(--colour1) 80px
    );
    animation: slide var(--speed) linear infinite;
    will-change: background-position;
}
#disclaimer-main {
    margin: 10px auto;
    padding: 0;
}
.disclaimer-title {
    margin: 0 auto;
    padding: 5px 10px;
    display: block;
    justify-content: center;
    align-items: center;
    align-self: center;
    font-family: "Share Tech Mono", monospace;
    font-size: 2rem;
    font-weight: 700;
    text-align: center;
    color: darkred;
    animation: fade-out-in 4s infinite;
}
#disclaimer-main .row span {
    color: darkred;
    font-size: 2em;
    vertical-align: middle;
    text-align: center;
    animation: fade-in-out 3s infinite;
}
#disclaimer-content {
    margin: 0 auto;
    padding: 5px 10px;
    display: block;
    justify-content: center;
    align-items: center;
    align-self: center;
    font-family: "Share Tech Mono", monospace;
    font-size: 1rem;
    font-weight: 500;
    text-align: justify;
    color: #38618a;
}
#disclaimer-content ul li {
    margin-left: 60px;
}
/* *** *** *** ANIMATIONS *** *** *** */
@keyframes fade-out-in {
    0% {
      opacity: 1;
    }
    50% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
}
@keyframes fade-in-out {
    0% {
      opacity: 0;
    }
    50% {
      opacity: 1;
    }
    100% {
      opacity: 0;
    }
}
@keyframes slide {
    from {
      background-position-x: 0;
    }
    to {
      background-position-x: 113px;
    }
}
/* *** *** *** MEDIA QUERIES *** *** *** */
@media screen and (max-width: 1350px) {

}
@media screen and (max-width: 1200px) {

}
@media screen and (max-width: 992px) {

}
@media screen and (max-width: 768px) {

}
@media screen and (max-width: 576px) {

}
@media screen and (max-width: 480px) {
  .disclaimer-title {
    font-size: 1.5em;
  }
  #disclaimer-content {
    font-size: 0.25em;
  }
}
@media screen and (max-width: 360px) {

}